Name:         sspkg
License:    Distributable
Group:        Development/Other
Provides:     SlingShot2.1 sspkg
Requires:     XFree86 xview-devel
BuildRequires:     XFree86-devel xview-devel
Autoreqprov:  on
Version:      2.1
Release:      1mdk
Summary:      Slingshot extensions
Source: SlingShot2.1.tar.gz
Patch: SlingShot2.1.dif
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
These are extensions for XView programming; it contains static and dynamic
libraries in elf-format.

%package devel
Requires: sspkg
Summary:      Slingshot Header files and static libraries
Group:        Development/Other
Autoreqprov:  on

%description devel
All the files needed to develop applications using extensions for XView
Also include  files and the documentation.


%package devel-examples
Requires: sspkg XFree86
Summary:      Slingshot examples
Group:        Development/Other
Autoreqprov:  on

%description devel-examples
A little collection of Slingshot examples. You can see the use and the
advantage of the Slingshot extension package.


%prep
%setup -n sspkg2.1
%patch

%build
rm -f examples/tree/lex.yy.c
make

%install
perl -pi -e 's!ldconfig.*$!!' Makefile
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{include,lib}

find include -type f -exec chmod 644 {} \;
make install INSTALL_DIR=$RPM_BUILD_ROOT/usr/X11R6

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/share/doc/sspkg
find doc -type f -exec chmod 644 {} \;
cp -afv doc/* $RPM_BUILD_ROOT/usr/X11R6/share/doc/sspkg

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/share/src/sspkg
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/sspkg
# copier les exe dans /usr/lib/sspkg
# copier les sources dans doc
#find examples -type f -perm 775 -exec cp -afv {} $RPM_BUILD_ROOT/usr/X11R6/lib/sspkg/ \;
cp -avf `echo $(find examples -type f -ls | awk ' ( $3 ~ /x/ ) { print $11 } ')` $RPM_BUILD_ROOT/usr/X11R6/lib/sspkg/

cp -afv examples $RPM_BUILD_ROOT/usr/X11R6/share/src/sspkg
(cd $RPM_BUILD_ROOT/usr/X11R6/share/src/sspkg; make -C examples clean )

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LEGAL_NOTICE README
/usr/X11R6/lib/libsspkg.so
/usr/X11R6/lib/libsspkg.so.1
/usr/X11R6/lib/libsspkg.so.1.0

%files devel
%defattr(-,root,root)
%doc LEGAL_NOTICE README
%doc $RPM_BUILD_ROOT/usr/X11R6/share/doc/sspkg
/usr/X11R6/include/sspkg/*.h
/usr/X11R6/lib/libsspkg.a
/usr/X11R6/lib/libsspkg.so.1.0

%files devel-examples
%defattr(-,root,root)
%doc $RPM_BUILD_ROOT/usr/X11R6/share/src/sspkg/examples/
/usr/X11R6/lib/sspkg/*

%changelog
* Thu Sep 13 2001 Philippe Libat <philippe@mandrakesoft.com> 2.1-1mdk
- mandrakization


